%define tarball xf86-video-nv
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

%define cvsdate xxxxxxx

Summary:   Xorg X11 nv video driver
Name:      xorg-x11-drv-nv
Version:   1.2.0
Release:   4%{?dist}
URL:       http://www.x.org
License:   MIT/X11
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:   ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
Source1:   nv.xinf

ExclusiveArch: %{ix86} x86_64 ia64 ppc alpha sparc sparc64

BuildRequires: pkgconfig
BuildRequires: xorg-x11-server-sdk >= 1.1.0-12

Requires:  xorg-x11-server-Xorg >= 1.1.0-12

Patch0:    nv-1.1.1-nv34-tweaks.patch
Patch1:    nv-1.1.2-panel-message.patch
Patch2:	   nv-1.2.0-panel-range-hack.patch

%description 
X.Org X11 nv video driver.

%prep
%setup -q -n %{tarball}-%{version}

%patch0 -p1 -b .nv34-tweak
%patch1 -p1 -b .panel-message
%patch2 -p1 -b .range-hack

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{moduledir}
%dir %{driverdir}
%{driverdir}/nv_drv.so
%{driverdir}/riva128.so
%{_datadir}/hwdata/videoaliases/nv.xinf
#%dir %{_mandir}/man4x
%{_mandir}/man4/nv.4*

%changelog
* Wed Mar 14 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Thu Aug 31 2006 Adam Jackson <ajackson@redhat.com> 1.2.0-4.fc6
- nv-1.2.0-panel-range-hack: If we detect a panel, but don't get DDC, adjust
  the monitor's sync ranges to accomodate a 60Hz mode at the panel's
  native resolution.

* Wed Aug  2 2006 Adam Jackson <ajackson@redhat.com> 1.2.0-3.fc6
- Bump for upgrade path from FC5.

* Mon Jul 24 2006 Adam Jackson <ajackson@redhat.com> 1.2.0-2.fc6
- Update nv.xinf: Add about 30 new cards, disable a handful that pci.ids
  says aren't video cards, and comments galore.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> 1.2.0-1.1.fc6
- rebuild

* Fri Jul  7 2006 Adam Jackson <ajackson@redhat.com> 1.2.0-1.fc6
- Add %{?dist} and rebuild.

* Thu Jul  6 2006 Adam Jackson <ajackson@redhat.com> 1.2.0-1
- Update to 1.2.0: GeForce 6 and 7 updates and new hardware support.

* Mon Jun 26 2006 Adam Jackson <ajackson@redhat.com> 1.1.2-2
- Make the message printed when modes are rejected for not fitting in the
  panel size more accurate (and quieter).

* Sat Jun 17 2006 Mike A. Harris <mharris@redhat.com> 1.1.2-1
- Update to 1.1.2 release for X11R7.1 server.

* Wed Jun 14 2006 Adam Jackson <ajackson@redhat.com> 1.1.1-5
- Fix the panel tweak for a Toshiba laptop.

* Sat Jun 10 2006 Mike A. Harris <mharris@redhat.com> 1.1.1-4
- Added 10DE:0184 to nv.xinf, although the driver is not currently aware of
  this specific chip ID, the fallback code appears to work in bug #(186343)

* Tue May 23 2006 Adam Jackson <ajackson@redhat.com> 1.1.1-3
- Rebuild for 7.1 ABI fix.

* Mon Apr 10 2006 Adam Jackson <ajackson@redhat.com> 1.1.1-2
- Bump to appease beehive.

* Sun Apr 09 2006 Adam Jackson <ajackson@redhat.com> 1.1.1-1
- Update to 1.1.1 from 7.1RC1.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> 1.0.1.5-3.1
- bump again for double-long bug on ppc(64)

* Thu Feb 09 2006 Mike A. Harris <mharris@redhat.com> 1.0.1.5-3
- Added nv-1.0.1.5-updateto-cvs20050209.patch to sync driver with CVS and pick
  up support for newer Nvidia chips, and RandR rotation support.  (#180101)

* Thu Feb 09 2006 Mike A. Harris <mharris@redhat.com> 1.0.1.5-2
- Syncronized nv.xinf with nv_driver.c PCI ID list, including 10DE:0092 and
  10DE:00F2 for bug (#179997).

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 1.0.1.5-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.0.1.5-1
- Updated xorg-x11-drv-nv to version 1.0.1.5 from X11R7.0

* Tue Dec 20 2005 Mike A. Harris <mharris@redhat.com> 1.0.1.4-1
- Updated xorg-x11-drv-nv to version 1.0.1.4 from X11R7 RC4
- Removed 'x' suffix from manpage dirs to match RC4 upstream.

* Wed Nov 16 2005 Mike A. Harris <mharris@redhat.com> 1.0.1.2-1
- Updated xorg-x11-drv-nv to version 1.0.1.2 from X11R7 RC2

* Fri Nov 04 2005 Mike A. Harris <mharris@redhat.com> 1.0.1.1-1
- Updated xorg-x11-drv-nv to version 1.0.1.1 from X11R7 RC1
- Fix *.la file removal.
- Add riva128.so subdriver to file manifest.

* Mon Oct 03 2005 Mike A. Harris <mharris@redhat.com> 1.0.1-1
- Update BuildRoot to use Fedora Packaging Guidelines.
- Deglob file manifest.
- Limit "ExclusiveArch" to x86, x86_64, ia64, ppc

* Fri Sep 02 2005 Mike A. Harris <mharris@redhat.com> 1.0.1-0
- Initial spec file for nv video driver generated automatically
  by my xorg-driverspecgen script.
